com.verisign.epp.util

## Class TestThread

- java.lang.Object
- - java.lang.Thread
  - - com.verisign.epp.util.TestThread

- All Implemented Interfaces:
    java.lang.Runnable

      public class TestThread
      extends java.lang.Thread

  `Thread` wrapper for running a JUNIT `TestSuite` in multiple threads.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestThread(java.lang.String aName, junit.framework.Test aTest)` Allocate a `TestSuiteThread` given a name and a `TestSuite` to run.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()` Override of `Thread.run`.

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TestThread

          public TestThread(java.lang.String aName,
                            junit.framework.Test aTest)

      Allocate a `TestSuiteThread` given a name and a `TestSuite` to run.
      Parameters:
        `aName` - Name of the `TestThread`
        `aTest` - Test suite to run.

  - ### Method Detail

    - #### run

          public void run()

      Override of `Thread.run`.
      Specified by:
        `run` in interface `java.lang.Runnable`
      Overrides:
        `run` in class `java.lang.Thread`